# Get

Launch stage: GA

`GET /api/2.1/unity-catalog/models/{full_name_arg}`

Get a registered model.

 The caller must be a metastore admin or an owner of (or have the **EXECUTE**
 privilege on) the registered model. For the latter case, the caller must also be the owner
 or have the **USE_CATALOG** privilege on the parent catalog and the **USE_SCHEMA** privilege
 on the parent schema.

API scopes: unity-catalog

## Path parameters

- `full_name_arg` (string, optional)
  The three-level (fully qualified) name of the registered model

## Query parameters

- `include_aliases` (boolean, optional)
  Whether to include registered model aliases in the response
- `include_browse` (boolean, optional)
  Whether to include registered models in the response for which the principal can only access selective metadata for

## Returns

Returns the RegisteredModelInfo object.

## Response

```json
{
  "name": "string",
  "catalog_name": "string",
  "schema_name": "string",
  "owner": "string",
  "comment": "string",
  "storage_location": "string",
  "metastore_id": "string",
  "full_name": "string",
  "created_at": 0,
  "created_by": "string",
  "updated_at": 0,
  "updated_by": "string",
  "aliases": [
    {
      "alias_name": "string",
      "version_num": 0,
      "id": "string",
      "model_name": "string",
      "catalog_name": "string",
      "schema_name": "string"
    }
  ],
  "browse_only": true
}
```

